Skip to main content
GET
Get Query Results

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a Base64-encoded string of your credentials in the format username:password.

  • Username: Use your MoEngage Workspace ID (also known as the App ID). Find it in the MoEngage dashboard at Settings > Account > API keys.
  • Password: Use an API key from Settings > Account > API keys.

Refer to API Key Dashboard for details on creating and managing API keys.

Path Parameters

request_id
string
required

The request_id returned when the query was registered.

Example:

"REQUEST_ID"

Response

This response is returned when the request is processed successfully.

response_id
string

A unique identifier for the response, useful for correlating logs and support requests.

Example:

"fc803857-632e-4bf0-8df1-fbc2bdeedb66"

type
string

The type of resource returned in the data field.

Example:

"query_result"

data
object[]

The resolved query results, as an array of metric rows.